## permafrost 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(PERMAFROST)

set(PERMAFROST_VERSION 0.2.0)

set(PERMAFROST_SOURCES src/main.c src/util.c src/list.c src/expr.c src/scanner.c src/parser.c src/parser.tab.c src/macro.c src/schedule.c src/compile.c)

include_directories("${PERMAFROST_SOURCE_DIR}")

add_executable(permafrost ${PERMAFROST_SOURCES})
target_link_libraries(permafrost m)

if (NOT DEFINED BINDIR_INSTALL)
	set(BINDIR_INSTALL bin)
endif ()

if (NOT DEFINED DATADIR_INSTALL)
	set(DATADIR_INSTALL "${CMAKE_INSTALL_PREFIX}/share/permafrost")
endif ()

configure_file("${PERMAFROST_SOURCE_DIR}/config.h.in" "${PERMAFROST_BINARY_DIR}/config.h" @ONLY)

install(TARGETS permafrost DESTINATION "${BINDIR_INSTALL}")
install(DIRECTORY "${PERMAFROST_SOURCE_DIR}/lib" DESTINATION "${DATADIR_INSTALL}")

set(CPACK_PACKAGE_VERSION_MAJOR 0)
set(CPACK_PACKAGE_VERSION_MINOR 2)
set(CPACK_PACKAGE_VERSION_PATCH 0)
set(CPACK_PACKAGE_VERSION ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH})
set(CPACK_SOURCE_GENERATOR TGZ)
set(CPACK_SOURCE_PACKAGE_FILE_NAME permafrost-${CPACK_PACKAGE_VERSION})
set(CPACK_SOURCE_IGNORE_FILES
	"^${PERMAFROST_BINARY_DIR}/CMakeCache.*"
	"^${PERMAFROST_BINARY_DIR}/CMakeFiles.*"
	"^${PERMAFROST_BINARY_DIR}/cmake.*"
	"^${PERMAFROST_BINARY_DIR}/install.*"
	"^${PERMAFROST_BINARY_DIR}/_CPack.*"
	"^${PERMAFROST_BINARY_DIR}/CPack.*"
	"^${PERMAFROST_BINARY_DIR}/Makefile$"
	"^${PERMAFROST_BINARY_DIR}/permafrost-.*"
	"^${PERMAFROST_BINARY_DIR}/config.h$"
	"^${PERMAFROST_BINARY_DIR}/.*\\\\.o$"
	"^${PERMAFROST_BINARY_DIR}/permafrost.*$"
)

include(CPack)

=== debian/changelog ===
permafrost (0.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #594041)

 -- Alessio Treglia <alessio@debian.org>  Mon, 23 Aug 2010 11:22:39 +0200

=== debian/control ===
Source: permafrost
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7),
 cmake
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/pkg-multimedia/permafrost.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/permafrost.git
Homepage: http://naspro.atheme.org/about

Package: permafrost
Architecture: any
Depends: ${shlibs:Depends},
 lv2core,
 ${misc:Depends}
Description: DSP language designed with physics-based modeling in mind
 This package contains a compiler for such language which generates
 C source code and RDF/Turtle data which constitute the basis of
 LV2 plugins.
 .
 The syntax is not definitive and backwards compatibility will not
 be taken seriously in the next releases, yet the language already
 has some interesting features such as automatic scheduling,
 bidirectional ports, macroing and importing of C functions.

=== debian/watch ===
version=3
http://sf.net/naspro/permafrost-(.*)\.tar\.gz
